Main Page Groups Namespaces

# sigc::internal::slot_do_bind Struct Reference

Functor used to add a dependency to a trackable. More...

List of all members.

## Public Member Functions
| slot_do_bind (slot_rep* rep)
| Construct a slot_do_bind functor.
void | operator() (const trackable* t) const
| Adds a dependency to `t`.
## Public Attributes
slot_rep* | rep_
| The slot_rep object trackables should notify on destruction.

## Detailed Description

Functor used to add a dependency to a trackable.

Consequently slot_rep::notify() gets executed when the trackable is destroyed or overwritten.

## Constructor& Destructor Documentation

sigc::internal::slot_do_bind::slot_do_bind | ( | slot_rep* | rep | ) | `[inline]`

Construct a slot_do_bind functor.

Parameters:

  | rep | The slot_rep object trackables should notify on destruction.

## Member Function Documentation

void sigc::internal::slot_do_bind::operator() | ( | const trackable* | t | ) | const`[inline]`

Adds a dependency to `t`.

Parameters:

  | t | The trackable object to add a callback to.

## Member Data Documentation

slot_rep* sigc::internal::slot_do_bind::rep_

The slot_rep object trackables should notify on destruction.

The documentation for this struct was generated from the following file:

- slot_base.h